Bug 1772349 - [RFE] Foreman-installer --tuning skip the hardware compatibility check in the beginning.
Summary: [RFE] Foreman-installer --tuning skip the hardware compatibility check in the...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.7.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: 6.7.0
Assignee: Ewoud Kohl van Wijngaarden
QA Contact: Devendra Singh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-14 08:35 UTC by Devendra Singh
Modified: 2020-04-14 13:27 UTC (History)
4 users (show)

Fixed In Version: foreman-installer-1.24.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28331 Normal Closed Foreman-installer --tuning skip the hardware compatibility check in the beginning. 2020-07-10 11:15:33 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:19 UTC

Description Devendra Singh 2019-11-14 08:35:41 UTC
Description of problem: Foreman-installer --tuning skip the hardware compatibility check in the beginning.
Version-Release number of selected component (if applicable):
6.7

How reproducible:
always

Steps to Reproduce:
1. Triggered "foreman-installer --tuning extra-large" command on 6.7 setup.
2. The command was failed due to a memory-related issues (You can either reduce the request size or reconfigure the kernel with larger SHMALL)
3- After this problem system went to the unconscious state

Actual results:
foreman-installer --tuning extra-large failed and dumped a lot of error, and the system went to the unconscious state

Expected results:
If "extra-large" deployment size is not supportable then command (foreman-installer --tuning extra-large) should display a proper message like the system has not compatible with the expected change, and the system should be normal.

Additional info:

Comment 5 sthirugn@redhat.com 2019-11-14 22:15:24 UTC
Changing this to an RFE to determine what checks are feasible.

Comment 7 sthirugn@redhat.com 2019-11-21 19:32:00 UTC
I propose to check the memory and CPU cores with respect to the guidance in the tuning guide [1] -> Chapter 2: System Requirements -> 2.2 -> See Table


[1] https://access.redhat.com/system/files/performance_tuning_for_red_hat_satellite_6.5_and_6.6.pdf

Comment 8 Ewoud Kohl van Wijngaarden 2019-11-22 11:53:20 UTC
Created redmine issue https://projects.theforeman.org/issues/28331 from this bug

Comment 9 Bryan Kearney 2019-11-22 13:03:42 UTC
Upstream bug assigned to ekohlvan@redhat.com

Comment 10 Bryan Kearney 2019-11-22 13:03:44 UTC
Upstream bug assigned to ekohlvan@redhat.com

Comment 11 Bryan Kearney 2019-11-25 19:03:02 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28331 has been resolved.

Comment 12 Devendra Singh 2020-01-17 08:12:12 UTC
Verified successfully with foreman-installer-1.24.1-1.el7sat.noarch

# satellite-installer --tuning medium
Package versions are locked. Continuing with unlock.
Insufficient memory for tuning size
Tuning profile 'medium' requires at least 32 GB of memory and 8 CPU cores
# foreman-installer --tuning medium
Insufficient memory for tuning size
Tuning profile 'medium' requires at least 32 GB of memory and 8 CPU cores
# foreman-installer --tuning large
Insufficient memory for tuning size
Tuning profile 'large' requires at least 64 GB of memory and 16 CPU cores
# foreman-installer --tuning extra-large
Insufficient memory for tuning size
Tuning profile 'extra-large' requires at least 128 GB of memory and 32 CPU cores
# foreman-installer --tuning extra-extra-large
Insufficient memory for tuning size
Tuning profile 'extra-extra-large' requires at least 256 GB of memory and 48 CPU cores
# satellite-installer --tuning extra-extra-large
Insufficient memory for tuning size
Tuning profile 'extra-extra-large' requires at least 256 GB of memory and 48 CPU cores


foreman-installer:
# rpm -qa|grep foreman-installer
foreman-installer-1.24.1-1.el7sat.noarch

Comment 15 errata-xmlrpc 2020-04-14 13:27:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.